Bug 108265 - Update port: graphics/libpano12 from 2.7.0.3 to 2.8.4
Update port: graphics/libpano12 from 2.7.0.3 to 2.8.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Vasil Dimov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-23 16:00 UTC by Vasil Dimov
Modified: 2007-02-19 09:48 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vasil Dimov freebsd_committer 2007-01-23 16:00:36 UTC
Update graphics/libpano12 from 2.7.0.3 to 2.8.4:
* Project is hosted on sourceforge, adjust MASTER_SITES
* Add dependency on Gimp, cairo, gtk20, glib20, pango and atk. They are
  mandatory for 2.8.4
* Make Java dependency optional, 2.8.4 can survive without Java
* Hook dependencies on the autotools, we need to recreate the
  autogenerated files because now we have changed the autotools source
  config files (configure.ac etc.) with the hope that our changes will
  be propagated upstream
* Switch to USE_LDCONFIG 

R files/makefile.freebsd
A files/patch-Makefile.am
A files/patch-bootstrap
A files/patch-configure.ac
A files/patch-m4_ax_check_graphics.m4
A files/patch-m4_ax_check_java.m4
A files/patch-tools_Makefile.am

This update is necessary for the graphics/hugin update which will be
submitted shortly.

Fix: 

-- 
Vasil Dimov
gro.DSBeerF@dv
%
Be braver -- you can't cross a chasm in two small jumps.--52nfrIQbnSbf0zNpoTJjfr4pUD03v67cPBouFI9gM2PqsNWb
Content-Type: text/plain; name="libpano12.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="libpano12.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/libpano12/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	14 Aug 2005 13:30:15 -0000	1.2
+++ Makefile	23 Jan 2007 15:24:19 -0000
@@ -9,28 +9,49 @@
 # tools.
 
 PORTNAME=	libpano12
-PORTVERSION=	2.7.0.3
-PORTREVISION=	1
-CATEGORIES=	graphics
-MASTER_SITES=	http://www.openit.com.br/distfiles/
+PORTVERSION=	2.8.4
+CATEGORIES=	graphics java
+MASTER_SITES=	SF
+MASTER_SITE_SUBDIR=	panotools
 
 MAINTAINER=	cartola@openit.com.br
 COMMENT=	Panorama Tools to make panorama pictures
 
+BUILD_DEPENDS=	${LOCALBASE}/include/gimp-2.0/libgimp/gimp.h:${PORTSDIR}/graphics/gimp
+RUN_DEPENDS=	${BUILD_DEPENDS}
 LIB_DEPENDS=	tiff:${PORTSDIR}/graphics/tiff \
 		png:${PORTSDIR}/graphics/png \
-		jpeg:${PORTSDIR}/graphics/jpeg
+		jpeg:${PORTSDIR}/graphics/jpeg \
+		cairo:${PORTSDIR}/graphics/cairo
 
-USE_JAVA=	yes
-JAVA_VERSION=	1.3+
-JAVA_OS=	native
+USE_GNOME=	gtk20 glib20 pango atk
 
-MAKEFILE=	makefile.freebsd
-MAKE_ENV=	JAVA_HOME=${JAVA_HOME}
+USE_AUTOTOOLS=	autoconf:259:env autoheader:259:env aclocal:19:env \
+		automake:19:env libtool:15:env
+GNU_CONFIGURE=	yes
+CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include/gtk-2.0 \
+			-I${LOCALBASE}/include/gimp-2.0 \
+			-I${LOCALBASE}/include/glib-2.0 \
+			-I${LOCALBASE}/include/cairo \
+			-I${LOCALBASE}/include/pango-1.0 \
+			-I${LOCALBASE}/include/atk-1.0"
 
-INSTALLS_SHLIB=	yes
+USE_LDCONFIG=	yes
 
-post-extract:
-	${CP} ${FILESDIR}/makefile.freebsd ${WRKSRC}/makefile.freebsd
+.if !defined(WITHOUT_JAVA)
+USE_JAVA=	yes
+JAVA_VERSION=	1.3+
+JAVA_OS=	native
+CONFIGURE_ARGS+=	--with-java=${JAVA_HOME}
+.else
+CONFIGURE_ARGS+=	--without-java
+.endif
+
+pre-configure:
+	cd ${WRKSRC} && \
+	${SETENV} ${AUTOTOOLS_ENV} \
+	ACLOCAL="${ACLOCAL} -I ${LOCALBASE}/share/aclocal" \
+	./bootstrap
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/graphics/libpano12/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	22 Jan 2006 12:34:58 -0000	1.2
+++ distinfo	23 Jan 2007 15:24:19 -0000
@@ -1,3 +1,3 @@
-MD5 (libpano12-2.7.0.3.tar.gz) = ad116271b368131690ed7313a426b167
-SHA256 (libpano12-2.7.0.3.tar.gz) = 8e355f8265469ea7b9f45ca2c6b2b0fd029d445008a0c7f052d1a4e35c58208b
-SIZE (libpano12-2.7.0.3.tar.gz) = 216375
+MD5 (libpano12-2.8.4.tar.gz) = 808fd8eda224c9490ef407f4d82cf8d8
+SHA256 (libpano12-2.8.4.tar.gz) = b16e6b0863ad2fbc1f28f7a2072b241eb676213e62b37981674d3a5a837b6967
+SIZE (libpano12-2.8.4.tar.gz) = 1933134
Index: pkg-descr
===================================================================
RCS file: /home/pcvs/ports/graphics/libpano12/pkg-descr,v
retrieving revision 1.2
diff -u -r1.2 pkg-descr
--- pkg-descr	26 Dec 2005 00:11:31 -0000	1.2
+++ pkg-descr	23 Jan 2007 15:24:19 -0000
@@ -2,6 +2,3 @@
 images from independent pictures.
 
 WWW: http://panotools.sourceforge.net/
-
-- Ported by Cartola
-cartola@openit.com.br
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/graphics/libpano12/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- pkg-plist	15 Dec 2004 12:51:48 -0000	1.1
+++ pkg-plist	23 Jan 2007 15:24:19 -0000
@@ -1,20 +1,19 @@
 bin/PTOptimizer
-include/pano12/PixMap.h
-include/pano12/f2c.h
-include/pano12/fftn.h
+bin/PTblender
+bin/PTmender
+bin/PTtiff2psd
+bin/PTuncrop
+bin/panoinfo
+include/pano12/PTcommon.h
 include/pano12/filter.h
 include/pano12/panorama.h
+include/pano12/panotypes.h
+include/pano12/pt_stdint.h
 include/pano12/pteditor.h
 include/pano12/ptutils.h
 include/pano12/queryfeature.h
-include/pano12/sys_X11.h
-include/pano12/sys_ansi.h
-include/pano12/sys_mac.h
-include/pano12/sys_win.h
 include/pano12/version.h
+lib/libpano12.la
 lib/libpano12.so
-%%DOCSDIR%%/README.linux
-%%DOCSDIR%%/README.mac
-%%DOCSDIR%%/README.windows
+lib/libpano12.so.0
 @dirrm include/pano12
-@dirrm %%DOCSDIR%%
Index: files/makefile.freebsd
===================================================================
RCS file: files/makefile.freebsd
diff -N files/makefile.freebsd
--- files/makefile.freebsd	14 Aug 2005 13:30:15 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,32 +0,0 @@
-# Makefile for libpano12.so
-
-objects=	filter.o parser.o  queryfeature.o correct.o perspect.o \
-		adjust.o  remap.o lmdif.o  file.o math.o pan.o \
-		PTDialogs.o fftn.o fourier.o resample.o optimize.o \
-		morpher.o Triangulate.o seamer.o ptpicker.o pteditor.o \
-		tiff.o jpeg.o png.o multilayer.o 
-
-ansobj =  sys_ansi.o ppm.o
-
-CFLAGS1 = -O -L${PREFIX}/lib/ -I${JAVA_HOME}/include/ -I${JAVA_HOME}/include/freebsd/ -I${PREFIX}/include/ -fPIC -D__Ansi__=1
-CFLAGS2 = -O -I./ -L./ 
-CFLAGS = $(CFLAGS1)
-
-libpano12.so  : $(objects) $(ansobj)
-	$(CC) $(CFLAGS1) -lm -ljpeg -ltiff -lpng -shared -o libpano12.so $(objects) $(ansobj)
-
-PTOptimizer : tools/PTOptimizer.c
-	${CC} $(CFLAGS2) -otools/PTOptimizer -lpano12 tools/PTOptimizer.c
-
-all : libpano12.so PTOptimizer
-
-install : libpano12.so
-	install -s -m 755 libpano12.so ${PREFIX}/lib
-	install -s -m 755 tools/PTOptimizer ${PREFIX}/bin
-	mkdir -p ${PREFIX}/include/pano12
-	install -m 644 *.h ${PREFIX}/include/pano12
-	mkdir -p ${PREFIX}/share/doc/libpano12
-	install -m 644 README.* ${PREFIX}/share/doc/libpano12
-
-clean :
-	rm -f libpano12.so *.o tools/PTOptimizer
Index: files/patch-Makefile.am
===================================================================
RCS file: files/patch-Makefile.am
diff -N files/patch-Makefile.am
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-Makefile.am	23 Jan 2007 15:24:19 -0000
@@ -0,0 +1,36 @@
+--- Makefile.am.orig	Fri Jun 16 13:30:53 2006
++++ Makefile.am	Wed Jan 17 11:45:13 2007
+@@ -70,6 +70,16 @@
+ 
+ endif
+ 
++if HAVE_FREEBSD
++FBSD_SRC =  sys_ansi.c ppm.c
++FBSD_DEFS = -D__Ansi__=1
++FBSD_LDFS = -version-info 0:0:0
++
++install-exec-hook:
++	@true
++
++endif
++
+ if HAVE_DARWIN
+ DAR_SRC =  sys_ansi.c ppm.c
+ DAR_DEFS = -D__Ansi__=1
+@@ -80,13 +90,13 @@
+ 
+ endif
+ 
+-AM_CPPFLAGS = $(JAVA_FLAGS) $(JPEG_FLAGS) $(PNG_FLAGS) $(TIFF_FLAGS) $(ZLIB_FLAGS) $(WIN_DEFS) $(LIN_DEFS) $(DAR_DEFS) $(ENDIAN_FLAG)
++AM_CPPFLAGS = $(JAVA_FLAGS) $(JPEG_FLAGS) $(PNG_FLAGS) $(TIFF_FLAGS) $(ZLIB_FLAGS) $(WIN_DEFS) $(LIN_DEFS) $(FBSD_DEFS) $(DAR_DEFS) $(ENDIAN_FLAG)
+ 
+ lib_LTLIBRARIES = libpano12.la
+ 
+-libpano12_la_SOURCES = $(STD_SRC) $(JAVA_SRC) $(X11_SRC) $(WIN_SRC) $(MAC_SRC) $(LIN_SRC) $(DAR_SRC)
++libpano12_la_SOURCES = $(STD_SRC) $(JAVA_SRC) $(X11_SRC) $(WIN_SRC) $(MAC_SRC) $(LIN_SRC) $(FBSD_SRC) $(DAR_SRC)
+ libpano12_la_LIBADD = $(LIB_JPEG) $(LIB_PNG) $(LIB_TIFF) $(LIB_ZLIB) @PANO_WIN32_RESOURCE@
+-libpano12_la_LDFLAGS = $(LIN_LDFS) $(WIN_LDFS) $(DAR_LDFS)
++libpano12_la_LDFLAGS = $(LIN_LDFS) $(FBSD_LDFS) $(WIN_LDFS) $(DAR_LDFS)
+ libpano12_la_DEPENDENCIES = @PANO_WIN32_RESOURCE@
+ 
+ pkginclude_HEADERS = $(STD_HDR) $(TOOL_HDR)
Index: files/patch-bootstrap
===================================================================
RCS file: files/patch-bootstrap
diff -N files/patch-bootstrap
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-bootstrap	23 Jan 2007 15:24:19 -0000
@@ -0,0 +1,30 @@
+--- bootstrap.orig	Tue Jan 16 18:58:24 2007
++++ bootstrap	Tue Jan 16 18:58:39 2007
+@@ -96,27 +96,3 @@
+ $AUTOMAKE --add-missing --copy || exit $?
+ 
+ $AUTOCONF || exit $?
+-
+-cd $ORIGDIR || exit $?
+-
+-echo
+-echo "I am going to run ./configure with the following arguments:"
+-echo
+-echo "  --enable-maintainer-mode $AUTOGEN_CONFIGURE_ARGS $@"
+-echo
+-
+-if test -z "$*"; then
+-  echo "If you wish to pass additional arguments, please specify them "
+-  echo "on the $0 command line or set the AUTOGEN_CONFIGURE_ARGS "
+-  echo "environment variable."
+-  echo
+-fi
+-				
+-$srcdir/configure --enable-maintainer-mode $AUTOGEN_CONFIGURE_ARGS "$@"
+-RC=$?
+-if test $RC -ne 0; then
+-  echo
+-  echo "Configure failed or did not finish!"
+-  exit $RC
+-fi
+-	  
Index: files/patch-configure.ac
===================================================================
RCS file: files/patch-configure.ac
diff -N files/patch-configure.ac
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-configure.ac	23 Jan 2007 15:24:19 -0000
@@ -0,0 +1,22 @@
+--- configure.ac.orig	Fri Jun 16 13:30:54 2006
++++ configure.ac	Wed Jan 17 10:40:32 2007
+@@ -45,6 +45,11 @@
+ 		;;
+ 	esac
+ 	;;
++  *freebsd*)
++    PANO_WIN32_RESOURCE=
++    HSYS=freebsd
++    HCPU="${target_cpu}"
++    ;;
+   *darwin*)
+     PANO_WIN32_RESOURCE=
+     HSYS=darwin
+@@ -73,6 +78,7 @@
+ 
+ AM_CONDITIONAL(HAVE_DARWIN, test "${HSYS}" = "darwin")
+ AM_CONDITIONAL(HAVE_LINUX, test "${HSYS}" = "linux")
++AM_CONDITIONAL(HAVE_FREEBSD, test "${HSYS}" = "freebsd")
+ AM_CONDITIONAL(HAVE_MAC, test "${HSYS}" = "classic")
+ AM_CONDITIONAL(HAVE_MINGW, test "${HSYS}" = "mingw32")
+ AM_CONDITIONAL(HAVE_CYGWIN, test "${HSYS}" = "cygwin")
Index: files/patch-m4_ax_check_graphics.m4
===================================================================
RCS file: files/patch-m4_ax_check_graphics.m4
diff -N files/patch-m4_ax_check_graphics.m4
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-m4_ax_check_graphics.m4	23 Jan 2007 15:24:19 -0000
@@ -0,0 +1,74 @@
+--- m4/ax_check_graphics.m4.orig	Wed Jan 17 11:09:58 2007
++++ m4/ax_check_graphics.m4	Wed Jan 17 11:11:53 2007
+@@ -44,7 +44,7 @@
+   ZLIB_OLD_LDFLAGS=$LDFLAGS
+   ZLIB_OLD_CPPFLAGS=$CPPFLAGS
+   if test "x$ZLIB_HOME" != 'x' ; then
+-    if test "x$HCPU" = 'xamd64' ; then
++    if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
+       LDFLAGS="$LDFLAGS -L$ZLIB_HOME/lib64"
+     else
+       LDFLAGS="$LDFLAGS -L$ZLIB_HOME/lib"
+@@ -69,7 +69,7 @@
+         LIB_ZLIB="-lz"
+         ZLIB_FLAGS="-DHasZLIB"
+       else
+-        if test "x$HCPU" = 'xamd64' ; then
++        if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
+           LIB_ZLIB="-L$ZLIB_HOME/lib64 -lz"
+         else
+           LIB_ZLIB="-L$ZLIB_HOME/lib -lz"
+@@ -133,7 +133,7 @@
+   PNG_OLD_LDFLAGS=$LDFLAGS
+   PNG_OLD_CPPFLAGS=$CPPFLAGS
+   if test "x$PNG_HOME" != 'x' ; then
+-    if test "x$HCPU" = 'xamd64' ; then
++    if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
+       LDFLAGS="$LDFLAGS -L$PNG_HOME/lib64"
+     else
+       LDFLAGS="$LDFLAGS -L$PNG_HOME/lib"
+@@ -158,7 +158,7 @@
+         LIB_PNG="-lpng"
+         PNG_FLAGS="-DHasPNG"
+       else
+-        if test "x$HCPU" = 'xamd64' ; then
++        if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
+           LIB_PNG="-L$PNG_HOME/lib64 -lpng"
+         else
+           LIB_PNG="-L$PNG_HOME/lib -lpng"
+@@ -224,7 +224,7 @@
+   JPEG_OLD_LDFLAGS=$LDFLAGS
+   JPEG_OLD_CPPFLAGS=$CPPFLAGS
+   if test "x$JPEG_HOME" != 'x' ; then
+-    if test "x$HCPU" = 'xamd64' ; then
++    if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
+       LDFLAGS="$LDFLAGS -L$JPEG_HOME/lib64"
+     else
+       LDFLAGS="$LDFLAGS -L$JPEG_HOME/lib"
+@@ -274,7 +274,7 @@
+         LIB_JPEG="-ljpeg"
+         JPEG_FLAGS="-DHasJPEG"
+       else
+-        if test "x$HCPU" = 'xamd64' ; then
++        if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
+           LIB_JPEG="-L$JPEG_HOME/lib64 -ljpeg"
+         else
+           LIB_JPEG="-L$JPEG_HOME/lib -ljpeg"
+@@ -339,7 +339,7 @@
+   TIFF_OLD_LDFLAGS=$LDFLAGS
+   TIFF_OLD_CPPFLAGS=$CPPFLAGS
+   if test "x$TIFF_HOME" != 'x' ; then
+-    if test "x$HCPU" = 'xamd64' ; then
++    if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
+       LDFLAGS="$LDFLAGS -L$TIFF_HOME/lib64"
+     else
+       LDFLAGS="$LDFLAGS -L$TIFF_HOME/lib"
+@@ -364,7 +364,7 @@
+         LIB_TIFF="-ltiff"
+         TIFF_FLAGS="-DHasTIFF"
+       else
+-        if test "x$HCPU" = 'xamd64' ; then
++        if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
+           LIB_TIFF="-L$TIFF_HOME/lib64 -ltiff"
+         else
+           LIB_TIFF="-L$TIFF_HOME/lib -ltiff"
Index: files/patch-m4_ax_check_java.m4
===================================================================
RCS file: files/patch-m4_ax_check_java.m4
diff -N files/patch-m4_ax_check_java.m4
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-m4_ax_check_java.m4	23 Jan 2007 15:24:19 -0000
@@ -0,0 +1,21 @@
+--- m4/ax_check_java.m4.orig	Wed Jan 17 11:23:05 2007
++++ m4/ax_check_java.m4	Wed Jan 17 11:25:08 2007
+@@ -2,7 +2,7 @@
+ dnl Usage:
+ dnl AX_CHECK_JAVA
+ dnl Test for java, and defines
+-dnl - JAVA_CFLAGS (compiler flags)
++dnl - JAVA_FLAGS (compiler flags)
+ dnl - LIB_JAVA (linker flags, stripping and path)
+ dnl prerequisites:
+ 
+@@ -78,6 +78,9 @@
+   case "${target_os}" in
+     linux*)
+       java_extra_inc=linux
++      ;;
++    *freebsd*)
++      java_extra_inc=freebsd
+       ;;
+     darwin*)
+       java_extra_inc=darwin
Index: files/patch-tools_Makefile.am
===================================================================
RCS file: files/patch-tools_Makefile.am
diff -N files/patch-tools_Makefile.am
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-tools_Makefile.am	23 Jan 2007 15:24:19 -0000
@@ -0,0 +1,35 @@
+--- tools/Makefile.am.orig	Wed Jan 17 10:49:07 2007
++++ tools/Makefile.am	Wed Jan 17 10:51:24 2007
+@@ -24,6 +24,14 @@
+ LIN_DEFS = 
+ endif
+ 
++if HAVE_FREEBSD
++FBSD_SRC = panoinfo_unix.c
++FBSD_DEFS = -D__Ansi__=1
++else
++FBSD_SRC =
++FBSD_DEFS =
++endif
++
+ if HAVE_DARWIN
+ DAR_SRC =  panoinfo_unix.c
+ DAR_DEFS = -D__Ansi__=1
+@@ -32,7 +40,7 @@
+ DAR_DEFS = 
+ endif
+ 
+-AM_CPPFLAGS = $(JAVA_FLAGS) $(LIN_DEFS) $(DAR_DEFS) $(TIFF_FLAGS) $(JPEG_FLAGS)
++AM_CPPFLAGS = $(JAVA_FLAGS) $(LIN_DEFS) $(FBSD_DEFS) $(DAR_DEFS) $(TIFF_FLAGS) $(JPEG_FLAGS)
+ AM_LDFLAGS  = -L${top_builddir}
+ 
+ bin_PROGRAMS = panoinfo PTOptimizer PTmender PTblender PTtiff2psd PTuncrop
+@@ -52,7 +60,7 @@
+ PTOptimizer_SOURCES = PTOptimizer.c
+ PTOptimizer_LDADD   = -lpano12
+ 
+-panoinfo_SOURCES    = $(WIN_SRC) $(LIN_SRC) $(DAR_SRC)
++panoinfo_SOURCES    = $(WIN_SRC) $(LIN_SRC) $(FBSD_SRC) $(DAR_SRC)
+ panoinfo_LDADD      = -lpano12
+ 
+ EXTRA_DIST = makefile.panoinfo.win32 makefile.ptoptimizer.win32 \
Comment 1 Edwin Groothuis freebsd_committer 2007-01-23 16:00:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vd

Submitter has GNATS access
Comment 2 Edwin Groothuis freebsd_committer 2007-01-23 16:01:00 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 dfilter freebsd_committer 2007-02-19 09:38:16 UTC
vd          2007-02-19 09:38:11 UTC

  FreeBSD ports repository

  Modified files:
    graphics/libpano12   Makefile distinfo pkg-descr pkg-plist 
  Added files:
    graphics/libpano12/files patch-Makefile.am patch-bootstrap 
                             patch-configure.ac 
                             patch-m4_ax_check_graphics.m4 
                             patch-m4_ax_check_java.m4 
                             patch-tools_Makefile.am 
  Removed files:
    graphics/libpano12/files makefile.freebsd 
  Log:
  Update graphics/libpano12 from 2.7.0.3 to 2.8.4:
  * Project is hosted on sourceforge, adjust MASTER_SITES
  * Add dependency on Gimp, cairo, gtk20, glib20, pango and atk. They are
    mandatory for 2.8.4
  * Make Java dependency optional, 2.8.4 can survive without Java
  * Hook dependencies on the autotools, we need to recreate the
    autogenerated files because now we have changed the autotools source
    config files (configure.ac etc.) with the hope that our changes will
    be propagated upstream
  * Switch to USE_LDCONFIG
  
  PR:             ports/108265
  Submitted by:   vd
  Approved by:    cartola@openit.com.br (maintainer timeout)
  
  Revision  Changes    Path
  1.3       +34 -13    ports/graphics/libpano12/Makefile
  1.3       +3 -3      ports/graphics/libpano12/distinfo
  1.3       +0 -32     ports/graphics/libpano12/files/makefile.freebsd (dead)
  1.1       +36 -0     ports/graphics/libpano12/files/patch-Makefile.am (new)
  1.1       +30 -0     ports/graphics/libpano12/files/patch-bootstrap (new)
  1.1       +22 -0     ports/graphics/libpano12/files/patch-configure.ac (new)
  1.1       +74 -0     ports/graphics/libpano12/files/patch-m4_ax_check_graphics.m4 (new)
  1.1       +21 -0     ports/graphics/libpano12/files/patch-m4_ax_check_java.m4 (new)
  1.1       +35 -0     ports/graphics/libpano12/files/patch-tools_Makefile.am (new)
  1.3       +0 -3      ports/graphics/libpano12/pkg-descr
  1.2       +10 -11    ports/graphics/libpano12/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Vasil Dimov freebsd_committer 2007-02-19 09:48:11 UTC
State Changed
From-To: feedback->closed

Committed due to maintainer timeout.